import { useLocalStore } from 'mobx-react-lite';
export default function useStore() {
  return useLocalStore(function () {
    return {
      valueIdList: [],
      repoList: [],
      imageList: [],
      instanceList: [],
      hostList: [],

      get getHostList() {
        return this.hostList;
      },

      setHostList: function setHostList(data) {
        this.hostList = data;
      },

      get getInstanceList() {
        return this.instanceIdList;
      },

      setInstanceList: function setInstanceList(data) {
        this.instanceIdList = data;
      },
      valueIdRandom: undefined,
      apiTestArray: [],

      get getApiTestArray() {
        return this.apiTestArray;
      },

      setApiTestArray: function setApiTestArray(data) {
        this.apiTestArray = data;
      },

      get getValueIdRandom() {
        return this.valueIdRandom;
      },

      setValueIdRandom: function setValueIdRandom(data) {
        this.valueIdRandom = data;
      },
      instanceIdList: [],

      get getInstanceIdList() {
        return this.instanceIdList;
      },

      setInstanceIdList: function setInstanceIdList(data) {
        this.instanceIdList = data;
      },

      get getImageList() {
        return this.imageList;
      },

      setImageList: function setImageList(data) {
        this.imageList = data;
      },

      get getRepoList() {
        return this.repoList;
      },

      setRepoList: function setRepoList(data) {
        this.repoList = data;
      },

      get getValueIdList() {
        return this.valueIdList;
      },

      setValueIdList: function setValueIdList(data) {
        this.valueIdList = data;
      }
    };
  });
}